#!/usr/bin/env python
# vim: sts=4 sw=4 et

import sys
sys.path.insert(0, '../')

from conics.cmd import options, commands
from optparse import Option, HelpFormatter

h = HelpFormatter(4, 4, 80, True)

def format_options(options):
    for o in options:
        print "%s::" % h.format_option_strings(o)
        print "    " + "    ".join(h.expand_default(o).split("\n"))
        print 

for c in sorted(commands):
    cmd = commands[c]

    print cmd.name
    print "~" * len(cmd.name)
    print cmd.__doc__.strip()
    print 

    if not cmd.options:
        continue
    format_options(map(lambda o: Option(*o.args, **o.kwargs), cmd.options))
